## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XercesNamedNodeMapAttributeList Class Reference

`#include <XercesNamedNodeMapAttributeList.hpp>`

Inheritance diagram for XercesNamedNodeMapAttributeList

Collaboration diagram for XercesNamedNodeMapAttributeList:

List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  AttributeList ParentType

## Public Methods

- XercesNamedNodeMapAttributeList (const DOMNamedNodeMapType* theMap)
- virtual ~XercesNamedNodeMapAttributeList ()
- virtual unsigned int getLength () const
- virtual const XMLCh* getName (const unsigned int index) const
- virtual const XMLCh* getType (const unsigned int index) const
- virtual const XMLCh* getValue (const unsigned int index) const
- virtual const XMLCh* getType (const XMLCh* const name) const
- virtual const XMLCh* getValue (const XMLCh* const name) const
- virtual const XMLCh* getValue (const char* const name) const

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER AttributeList XercesNamedNodeMapAttributeList::ParentType

## Constructor & Destructor Documentation

XercesNamedNodeMapAttributeList::XercesNamedNodeMapAttributeList ( | const DOMNamedNodeMapType * theMap )`[explicit]`

virtual XercesNamedNodeMapAttributeList::~XercesNamedNodeMapAttributeList ( | )`[virtual]`

## Member Function Documentation

virtual unsigned int XercesNamedNodeMapAttributeList::getLength ( | ) const`[virtual]`

virtual const XMLCh* XercesNamedNodeMapAttributeList::getName ( | const unsigned int index ) const`[virtual]`

virtual const XMLCh* XercesNamedNodeMapAttributeList::getType ( | const XMLCh *const name ) const`[virtual]`

virtual const XMLCh* XercesNamedNodeMapAttributeList::getType ( | const unsigned int index ) const`[virtual]`

virtual const XMLCh* XercesNamedNodeMapAttributeList::getValue ( | const char *const name ) const`[virtual]`

virtual const XMLCh* XercesNamedNodeMapAttributeList::getValue ( | const XMLCh *const name ) const`[virtual]`

virtual const XMLCh* XercesNamedNodeMapAttributeList::getValue ( | const unsigned int index ) const`[virtual]`

The documentation for this class was generated from the following file:

- XercesNamedNodeMapAttributeList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.